## LassoSaml2AudienceRestriction LassoSaml2AudienceRestriction — <saml2:AudienceRestriction> |

## Functions

LassoNode * | lasso_saml2_audience_restriction_new ()

## Types and Values

struct | LassoSaml2AudienceRestriction

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSaml2ConditionAbstract
                ╰── LassoSaml2AudienceRestriction

## Description

Figure 50. Schema fragment for saml2:AudienceRestriction

    <complexType name="AudienceRestrictionType">
      <complexContent>
        <extension base="saml:ConditionAbstractType">
          <sequence>
            <element ref="saml:Audience" maxOccurs="unbounded"/>
          </sequence>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_saml2_audience_restriction_new ()

    LassoNode *
    lasso_saml2_audience_restriction_new (void);

Creates a new LassoSaml2AudienceRestriction object.

#### Returns

a newly created LassoSaml2AudienceRestriction object

## Types and Values

### struct LassoSaml2AudienceRestriction

    struct LassoSaml2AudienceRestriction {
    	/* elements */
    	char *Audience;
    };